summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Petr Kletecka2013-04-27 03:11:54 +0200
committer Niels Horn2013-04-27 03:11:54 +0200
commit96bfb30bceab14b99d4601c3f2d3c844ea5dbad9 (patch)
tree2ae5a567f2183d0033b81713085f7d2e1100f62d /office
parentf5d3d93becc75ddf9fa5f8607fc1a36d9df57bd0 (diff)
downloadslackbuilds-96bfb30bceab14b99d4601c3f2d3c844ea5dbad9.tar.gz
office/bookbinder: (Create a bindable book from a PDF file)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/bookbinder/README1
-rw-r--r--office/bookbinder/bookbinder14
-rw-r--r--office/bookbinder/bookbinder.SlackBuild52
-rw-r--r--office/bookbinder/bookbinder.desktop10
-rw-r--r--office/bookbinder/bookbinder.info10
-rw-r--r--office/bookbinder/bookbinder.pngbin0 -> 297 bytes
-rw-r--r--office/bookbinder/doinst.sh3
-rw-r--r--office/bookbinder/slack-desc19
8 files changed, 109 insertions, 0 deletions
diff --git a/office/bookbinder/README b/office/bookbinder/README
new file mode 100644
index 0000000000..2b2a960117
--- /dev/null
+++ b/office/bookbinder/README
@@ -0,0 +1 @@
+Bookbinder - program to create a bindable book from a PDF file.
diff --git a/office/bookbinder/bookbinder b/office/bookbinder/bookbinder
new file mode 100644
index 0000000000..19ae63735a
--- /dev/null
+++ b/office/bookbinder/bookbinder
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+# startup script for bookbinder
+# modified by the SlackBuilds.org team
+
+# create directory if it does not exist yet
+[ ! -e ~/bookbinder ] && mkdir ~/bookbinder
+
+# change to user's bookbinder directory.
+# this is where the signatures will be saved.
+cd ~/bookbinder
+
+# call the program
+java -jar /usr/share/bookbinder/bookbinder3.0.jar
diff --git a/office/bookbinder/bookbinder.SlackBuild b/office/bookbinder/bookbinder.SlackBuild
new file mode 100644
index 0000000000..f36c8adc6d
--- /dev/null
+++ b/office/bookbinder/bookbinder.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Slackware build script for bookbinder
+
+# Petr Kletecka petr@kle.cz <2013>
+
+PRGNAM=bookbinder
+VERSION=${VERSION:-3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-${VERSION}.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/bookbinder.desktop > $PKG/usr/share/applications/bookbinder.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/bookbinder.png > $PKG/usr/share/pixmaps/bookbinder.png
+
+mkdir -p $PKG/usr/bin
+cat $CWD/bookbinder > $PKG/usr/bin/bookbinder
+chmod oug+x $PKG/usr/bin/bookbinder
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a * $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/bookbinder/bookbinder.desktop b/office/bookbinder/bookbinder.desktop
new file mode 100644
index 0000000000..b307b939e8
--- /dev/null
+++ b/office/bookbinder/bookbinder.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Encoding=UTF-8
+Exec=bookbinder
+Icon=bookbinder
+StartupNotify=false
+Categories=Utility;Java;
+Name=Bookbinder
+Comment=Bookbinder is a program that will convert a PDF document into signatures suitable for traditional bookbinding.
diff --git a/office/bookbinder/bookbinder.info b/office/bookbinder/bookbinder.info
new file mode 100644
index 0000000000..89d1e018f7
--- /dev/null
+++ b/office/bookbinder/bookbinder.info
@@ -0,0 +1,10 @@
+PRGNAM="bookbinder"
+VERSION="3.0"
+HOMEPAGE="http://quantumelephant.co.uk/bookbinder/bookbinder.html"
+DOWNLOAD="http://www.quantumelephant.co.uk/bookbinder/bookbinder-3.0.zip"
+MD5SUM="4205fe88d4931a0e7e898c30a8069679"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Petr Kletecka"
+EMAIL="petr@kle.cz"
diff --git a/office/bookbinder/bookbinder.png b/office/bookbinder/bookbinder.png
new file mode 100644
index 0000000000..d248210495
--- /dev/null
+++ b/office/bookbinder/bookbinder.png
Binary files differ
diff --git a/office/bookbinder/doinst.sh b/office/bookbinder/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/office/bookbinder/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/office/bookbinder/slack-desc b/office/bookbinder/slack-desc
new file mode 100644
index 0000000000..e02780f035
--- /dev/null
+++ b/office/bookbinder/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bookbinder: Bookbinder (A program to create a bindable book from a PDF file)
+bookbinder:
+bookbinder: Bookbinder is a program that will convert a PDF document into
+bookbinder: signatures suitable for traditional bookbinding.
+bookbinder:
+bookbinder: website: http://quantumelephant.co.uk/bookbinder/bookbinder.html
+bookbinder:
+bookbinder:
+bookbinder:
+bookbinder:
+bookbinder: